Subject: [bug#50778] [PATCH] m4: Don't require courage on unsupported systems.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 19 Oct 2021 12:15:17 +0200

Howdy!

Efraim Flashner <[email-masked]> skribis:

> On Mon, Oct 18, 2021 at 10:43:54AM +0200, Ludovic Courtès wrote:

[...]

>> Ah!  So I think you’re asking that there be three levels:
>> 
>>   1. Fully supported (should include i586-gnu).
>> 
>>   2. “Half supported” or “in the works”, like mips64el-linux and
>>      powerpc-linux: in that case, maybe just emit a warning with
>>      AC_MSG_WARN?
>> 
>>   3. Unsupported: error asking users to pass ‘--with-courage’.
>> 
>> How does that sound?
>
> I hadn't really planned on keeping the third category, but thinking
> about it more it would make sense to keep it for architectures that we
> don't even have bootstrap binaries for. Vagrant said he was able to
> build the guix package for riscv64-linux, I think without even adding my
> patches for adding the bootstrap binaries. By forcing people to pass
> --with-courage it goes past "it doesn't really work" and all the way
> into "really really unsupported"
>
> So yes, I like the idea of the three levels.

Alright.  Can you send (or push) an updated patch?

Thanks!

Ludo’.